Statistical programming, matrix languages, and more

IML Studio and R version compatibility

Reply
New Contributor
Posts: 3

IML Studio and R version compatibility

I've been wandering through support fora and users' guides for the past hour and I've not found a definitive, current answer to the saga of IML Studio compatibility with R.  The closest I could find was a note from June 2013 noting that JMP 10 does not support R 3.0+  I know JMP is not IML, but all IML-related discussions pre-date the existence of R 3.0+

I have tried to use both IML Studio 12.1 and Studio 3.4 with R 3.0.1 receiving the error message that " An installed version of R could not be found"

I have yet to satisfy myself if this is because

a) -RLANG has not been set appropriately,

b) 32 bit or 64 bit versions of R might cause compatibility issues or

c) I am chasing my tail because versions of IML and R do not play well together.

Can someone enlighten me?

SAS Super FREQ
Posts: 3,630

Re: IML Studio and R version compatibility

The R developers changed the external API to R when they moved from 2.15.x to 3.0.x. Due to these changes, if you are
running a version of SAS prior to SAS 9.4, you should use R 2.15.x or earlier.  That includes SAS/IML 12.1.

R 3.0.x is supported in SAS 9.4, which shipped in July 2013. The corresponding SAS/IML version is 12.3.

New Contributor
Posts: 3

Re: IML Studio and R version compatibility

Thanks Rick.  I was afraid that was the answer.

Our university IT folks need 3 months lead time to populate our teaching labs.  So we have Studio 12.1 for this academic year.  We also have R 3.0.1 locked onto the lab machines.  So I don't think I'll be able to have our students experience the functionality and power of merging SAS IML with R.

In the four years I've taught statistical computing, the stars have aligned only once for me to have students use IML in combination with R.

SAS Super FREQ
Posts: 3,630

Re: IML Studio and R version compatibility

Since you mention SAS/IML Studio, I'll mention that there is a way for you to run R 3.0.1 even though you have a lab with SAS 9.3m2 (SAS/IML 12.1).  If you can convince the IT department, they can download and install SAS/IML Studio 12.3 (which is cleint software) and run it on top of the Base SAS installation.

(This assumes that you are running the 64-bit edition of Windows; there is no 32-bit download of SAS/IML Studio 12.3.)

With IML Studio 12.3, you can run R 3.0.1 on the client.  IT does not need to upgrade all of SAS (a big job), just SAS/IML Studio (a smaller job).

New Contributor
Posts: 3

Re: IML Studio and R version compatibility

Many thanks Rick.  I'll pass this along to our IT group and leave it with them.

Ask a Question
Discussion stats
  • 4 replies
  • 494 views
  • 0 likes
  • 2 in conversation